﻿
.modalBackground {
    background: var(--popup-overlay-background-color);
    backdrop-filter: blur(var(--popup-overlay-background-blur));
}

.popup {
    display: flex;
    flex-direction: column;
    min-width: 20%;
    margin: 0;
    padding: 1.5rem;
    background-color: var(--background-color);
    border: 1px solid var(--container-border-color);
    border-radius: var(--container-border-radius);
    box-shadow: var(--panel-shadow);
    color: var(--text-color);
    font-size: 0.9rem !important;
}

    .popup .popup-titlebar {
        display: flex;
        gap: 0.5rem;
        justify-content: flex-start;
        align-items: center;
        font-size: 1.1em;
    }

    .popup .popup-content {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
    }

        .popup .popup-content .popup-title {
            font-size: 0.9em;
            font-weight: bold;
        }

        .popup .popup-content .popup-text {
            font-size: 0.85em;
        }

    .popup .modal-actions {
        display: flex;
        flex-direction: row;
        gap: 0.5rem;
        margin: 1rem 0 0 0;
        justify-content: flex-end;
    }

        .popup .modal-actions .devxBtn,
        .popup .modal-actions input {
            min-width: 4rem;
            background-color: var(--popup-button-background-color);
            color: var(--popup-button-color);
            border-radius: var(--control-border-radius);
            padding: var(--popup-button-padding);
            font-size: var(--button-font-size);
            transition: background-color var(--popup-button-transitions-speed) ease, color var(--popup-button-transitions-speed) ease, border var(--popup-button-transitions-speed) ease;
        }

            .popup .modal-actions .devxBtn.dxbButtonHover,
            .popup .modal-actions input:hover {
                background-color: var(--popup-button-hover-background-color);
                color: var(--popup-button-hover-color);
            }

        .popup .modal-actions .dxbButtonPressed,
        .popup .modal-actions input:active {
            background-color: var(--popup-button-active-background-color);
            color: var(--popup-button-hover-color);
        }

        .popup .modal-actions .primary,
        .popup .modal-actions .primary span {
            background-color: var(--primary-color) !important;
            color: var(--primary-contrast-color) !important;
        }

            .popup .modal-actions .primary:hover {
                background-color: var(--primary-hover-color);
                color: var(--primary-contrast-color);
            }

.addressBookPopupGrid {
    height: unset !important;
    font-size: 1.1em;
}


.QuickChangePopup {
    width: auto;
    height: auto;
}

@supports (-moz-appearance: none) {
    .ff-sizing input {
        min-width: unset !important;
    }
}